oracle.pg.nosql

## Class NoSQLIndexManager

- java.lang.Object
- - oracle.pg.text.OracleIndexManager
  - - oracle.pg.nosql.NoSQLIndexManager

-     public class NoSQLIndexManager
      extends OracleIndexManager

  A single point for accessing all vertex and edge indices of a specific `OraclePropertyGraph` object.

- - ### Field Summary

    - ### Fields inherited from class oracle.pg.text.OracleIndexManager

      `EDGE_CLASS_ID, VERTEX_CLASS_ID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLuceneParametersToRow(oracle.kv.table.Row row, OracleIndex index)`
    `void` | `addSolrParametersToRow(oracle.kv.table.Row row, OracleIndex index)`
    `<T extends Element> boolean` | `containsIndexedKeyFromDB(String key, String indexName, Class<T> indexClass)` Verifies if the auto index contains the specified index key.
    `void` | `dropIndexMetadata()` Drops all indices handled by this index manager.
    `<T extends Element> List<String>` | `getIndexedKeys(String indexName, Class<T> indexClass)` Gets all the keys associated to the specified auto index and stored in the index meta data table.
    `void` | `getLuceneParametersFromRow(List<Parameter> parameters, oracle.kv.table.Row row)`
    `void` | `getSolrParametersFromRow(List<Parameter> parameters, oracle.kv.table.Row row)`

    - ### Methods inherited from class oracle.pg.text.OracleIndexManager

      `clearAndCloseIndices, clearIndices, close, closeIndices, commitIndices, containsIndexedKey, createIndex, disableEdgeAutoIndexer, disableVertexAutoIndexer, dropAllAutoIndices, dropAllIndices, dropAllManualIndices, dropIndex, dropIndices, enableEdgeAutoIndexer, enableVertexAutoIndexer, existEdgeIndex, existVertexIndex, getEdgeAutoIndexer, getEdgeAutoIndexName, getEdgeIndex, getEntityTypeAsInt, getIndices, getVertexAutoIndexer, getVertexAutoIndexName, getVertexIndex, indexAlreadyExists, isEdgeAutoIndexerEnabled, isVertexAutoIndexerEnabled, remove, removePropertyFromIndices, startAutoIndexingProperties, startAutoIndexingProperty, stopAutoIndexingProperties, stopAutoIndexingProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addLuceneParametersToRow

          public void addLuceneParametersToRow(oracle.kv.table.Row row,
                                      OracleIndex index)

    - #### addSolrParametersToRow

          public void addSolrParametersToRow(oracle.kv.table.Row row,
                                    OracleIndex index)

    - #### containsIndexedKeyFromDB

          public <T extends Element> boolean containsIndexedKeyFromDB(String key,
                                                             String indexName,
                                                             Class<T> indexClass)

      Verifies if the auto index contains the specified index key.
      Parameters:
        `indexName` - the name of the auto index.
        `key` - the key to validate.
      Returns:
        true if the auto index contains the specified index key, else return false.

    - #### dropIndexMetadata

          public void dropIndexMetadata()

      Drops all indices handled by this index manager.

    - #### getIndexedKeys

          public <T extends Element> List<String> getIndexedKeys(String indexName,
                                                        Class<T> indexClass)

      Gets all the keys associated to the specified auto index and stored in the index meta data table.
      Specified by:
        `getIndexedKeys` in class `OracleIndexManager`
      Parameters:
        `indexName` - the name of the auto index.
        `indexClass` - the class associated to the index (Vertex, Edge)

    - #### getLuceneParametersFromRow

          public void getLuceneParametersFromRow(List<Parameter> parameters,
                                        oracle.kv.table.Row row)

    - #### getSolrParametersFromRow

          public void getSolrParametersFromRow(List<Parameter> parameters,
                                      oracle.kv.table.Row row)

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.